<!DOCTYPE HTML PUBLIC "-//W3C//DTD HTML 4.01 Transitional//EN" "http://www.w3.org/TR/html4/loose.dtd">
<!-- NewPage -->
<html lang="en">
<head>
    <!-- Generated by javadoc -->
    <title>Uses of Class org.apache.poi.util.BitField (POI API Documentation)</title>
    <link rel="stylesheet" type="text/css" href="../../../../../stylesheet.css" title="Style">
    <script type="text/javascript" src="../../../../../script.js"></script>
</head>
<body>
<script type="text/javascript"><!--
    try {
        if (location.href.indexOf('is-external=true') == -1) {
            parent.document.title="Uses of Class org.apache.poi.util.BitField (POI API Documentation)";
        }
    }
    catch(err) {
    }
//-->

</script>
<noscript>
    <div>JavaScript is disabled on your browser.</div>
</noscript>
<!-- ========= START OF TOP NAVBAR ======= -->
<div class="topNav"><a name="navbar.top">
    <!--   -->
</a>
    <div class="skipNav"><a href="#skip.navbar.top" title="Skip navigation links">Skip navigation links</a></div>
    <a name="navbar.top.firstrow">
        <!--   -->
    </a>
    <ul class="navList" title="Navigation">
        <li><a href="../../../../../overview-summary.html">Overview</a></li>
        <li><a href="../package-summary.html">Package</a></li>
        <li><a href="../../../../../org/apache/poi/util/BitField.html" title="class in org.apache.poi.util">Class</a>
        </li>
        <li class="navBarCell1Rev">Use</li>
        <li><a href="../package-tree.html">Tree</a></li>
        <li><a href="../../../../../deprecated-list.html">Deprecated</a></li>
        <li><a href="../../../../../index-all.html">Index</a></li>
        <li><a href="../../../../../help-doc.html">Help</a></li>
    </ul>
</div>
<div class="subNav">
    <ul class="navList">
        <li>Prev</li>
        <li>Next</li>
    </ul>
    <ul class="navList">
        <li><a href="../../../../../index.html?org/apache/poi/util/class-use/BitField.html" target="_top">Frames</a>
        </li>
        <li><a href="BitField.html" target="_top">No&nbsp;Frames</a></li>
    </ul>
    <ul class="navList" id="allclasses_navbar_top">
        <li><a href="../../../../../allclasses-noframe.html">All&nbsp;Classes</a></li>
    </ul>
    <div>
        <script type="text/javascript"><!--
  allClassesLink = document.getElementById("allclasses_navbar_top");
  if(window==top) {
    allClassesLink.style.display = "block";
  }
  else {
    allClassesLink.style.display = "none";
  }
  //-->

        </script>
    </div>
    <a name="skip.navbar.top">
        <!--   -->
    </a></div>
<!-- ========= END OF TOP NAVBAR ========= -->
<div class="header">
    <h2 title="Uses of Class org.apache.poi.util.BitField" class="title">Uses of Class<br>org.apache.poi.util.BitField
    </h2>
</div>
<div class="classUseContainer">
    <ul class="blockList">
        <li class="blockList">
            <table class="useSummary" border="0" cellpadding="3" cellspacing="0"
                   summary="Use table, listing packages, and an explanation">
                <caption><span>Packages that use <a href="../../../../../org/apache/poi/util/BitField.html"
                                                    title="class in org.apache.poi.util">BitField</a></span><span
                        class="tabEnd">&nbsp;</span></caption>
                <tr>
                    <th class="colFirst" scope="col">Package</th>
                    <th class="colLast" scope="col">Description</th>
                </tr>
                <tbody>
                <tr class="altColor">
                    <td class="colFirst"><a href="#org.apache.poi.poifs.crypt">org.apache.poi.poifs.crypt</a></td>
                    <td class="colLast">
                        <div class="block">Implementation of the ECMA-376 and MS-propritary document encryptions</div>
                    </td>
                </tr>
                <tr class="rowColor">
                    <td class="colFirst"><a href="#org.apache.poi.util">org.apache.poi.util</a></td>
                    <td class="colLast">
                        <div class="block">Top-level util package are classes that are useful throughout the project.
                        </div>
                    </td>
                </tr>
                </tbody>
            </table>
        </li>
        <li class="blockList">
            <ul class="blockList">
                <li class="blockList"><a name="org.apache.poi.poifs.crypt">
                    <!--   -->
                </a>
                    <h3>Uses of <a href="../../../../../org/apache/poi/util/BitField.html"
                                   title="class in org.apache.poi.util">BitField</a> in <a
                            href="../../../../../org/apache/poi/poifs/crypt/package-summary.html">org.apache.poi.poifs.crypt</a>
                    </h3>
                    <table class="useSummary" border="0" cellpadding="3" cellspacing="0"
                           summary="Use table, listing fields, and an explanation">
                        <caption><span>Fields in <a
                                href="../../../../../org/apache/poi/poifs/crypt/package-summary.html">org.apache.poi.poifs.crypt</a> declared as <a
                                href="../../../../../org/apache/poi/util/BitField.html"
                                title="class in org.apache.poi.util">BitField</a></span><span
                                class="tabEnd">&nbsp;</span></caption>
                        <tr>
                            <th class="colFirst" scope="col">Modifier and Type</th>
                            <th class="colLast" scope="col">Field and Description</th>
                        </tr>
                        <tbody>
                        <tr class="altColor">
                            <td class="colFirst"><code>static <a href="../../../../../org/apache/poi/util/BitField.html"
                                                                 title="class in org.apache.poi.util">BitField</a></code>
                            </td>
                            <td class="colLast"><span class="typeNameLabel">EncryptionInfo.</span><code><span
                                    class="memberNameLink"><a
                                    href="../../../../../org/apache/poi/poifs/crypt/EncryptionInfo.html#flagAES">flagAES</a></span></code>
                                <div class="block">A value that MUST be 1 if the protected content is an ECMA-376
                                    document
                                    ECMA-376.
                                </div>
                            </td>
                        </tr>
                        <tr class="rowColor">
                            <td class="colFirst"><code>static <a href="../../../../../org/apache/poi/util/BitField.html"
                                                                 title="class in org.apache.poi.util">BitField</a></code>
                            </td>
                            <td class="colLast"><span class="typeNameLabel">EncryptionInfo.</span><code><span
                                    class="memberNameLink"><a
                                    href="../../../../../org/apache/poi/poifs/crypt/EncryptionInfo.html#flagCryptoAPI">flagCryptoAPI</a></span></code>
                                <div class="block">A flag that specifies whether CryptoAPI RC4 or ECMA-376 encryption
                                    ECMA-376 is used.
                                </div>
                            </td>
                        </tr>
                        <tr class="altColor">
                            <td class="colFirst"><code>static <a href="../../../../../org/apache/poi/util/BitField.html"
                                                                 title="class in org.apache.poi.util">BitField</a></code>
                            </td>
                            <td class="colLast"><span class="typeNameLabel">EncryptionInfo.</span><code><span
                                    class="memberNameLink"><a
                                    href="../../../../../org/apache/poi/poifs/crypt/EncryptionInfo.html#flagDocProps">flagDocProps</a></span></code>
                                <div class="block">A value that MUST be 0 if document properties are encrypted.</div>
                            </td>
                        </tr>
                        <tr class="rowColor">
                            <td class="colFirst"><code>static <a href="../../../../../org/apache/poi/util/BitField.html"
                                                                 title="class in org.apache.poi.util">BitField</a></code>
                            </td>
                            <td class="colLast"><span class="typeNameLabel">EncryptionInfo.</span><code><span
                                    class="memberNameLink"><a
                                    href="../../../../../org/apache/poi/poifs/crypt/EncryptionInfo.html#flagExternal">flagExternal</a></span></code>
                                <div class="block">A value that MUST be 1 if extensible encryption is used.</div>
                            </td>
                        </tr>
                        </tbody>
                    </table>
                </li>
                <li class="blockList"><a name="org.apache.poi.util">
                    <!--   -->
                </a>
                    <h3>Uses of <a href="../../../../../org/apache/poi/util/BitField.html"
                                   title="class in org.apache.poi.util">BitField</a> in <a
                            href="../../../../../org/apache/poi/util/package-summary.html">org.apache.poi.util</a></h3>
                    <table class="useSummary" border="0" cellpadding="3" cellspacing="0"
                           summary="Use table, listing methods, and an explanation">
                        <caption><span>Methods in <a href="../../../../../org/apache/poi/util/package-summary.html">org.apache.poi.util</a> that return <a
                                href="../../../../../org/apache/poi/util/BitField.html"
                                title="class in org.apache.poi.util">BitField</a></span><span
                                class="tabEnd">&nbsp;</span></caption>
                        <tr>
                            <th class="colFirst" scope="col">Modifier and Type</th>
                            <th class="colLast" scope="col">Method and Description</th>
                        </tr>
                        <tbody>
                        <tr class="altColor">
                            <td class="colFirst"><code>static <a href="../../../../../org/apache/poi/util/BitField.html"
                                                                 title="class in org.apache.poi.util">BitField</a></code>
                            </td>
                            <td class="colLast"><span class="typeNameLabel">BitFieldFactory.</span><code><span
                                    class="memberNameLink"><a
                                    href="../../../../../org/apache/poi/util/BitFieldFactory.html#getInstance-int-">getInstance</a></span>(int&nbsp;mask)</code>&nbsp;
                            </td>
                        </tr>
                        </tbody>
                    </table>
                </li>
            </ul>
        </li>
    </ul>
</div>
<!-- ======= START OF BOTTOM NAVBAR ====== -->
<div class="bottomNav"><a name="navbar.bottom">
    <!--   -->
</a>
    <div class="skipNav"><a href="#skip.navbar.bottom" title="Skip navigation links">Skip navigation links</a></div>
    <a name="navbar.bottom.firstrow">
        <!--   -->
    </a>
    <ul class="navList" title="Navigation">
        <li><a href="../../../../../overview-summary.html">Overview</a></li>
        <li><a href="../package-summary.html">Package</a></li>
        <li><a href="../../../../../org/apache/poi/util/BitField.html" title="class in org.apache.poi.util">Class</a>
        </li>
        <li class="navBarCell1Rev">Use</li>
        <li><a href="../package-tree.html">Tree</a></li>
        <li><a href="../../../../../deprecated-list.html">Deprecated</a></li>
        <li><a href="../../../../../index-all.html">Index</a></li>
        <li><a href="../../../../../help-doc.html">Help</a></li>
    </ul>
</div>
<div class="subNav">
    <ul class="navList">
        <li>Prev</li>
        <li>Next</li>
    </ul>
    <ul class="navList">
        <li><a href="../../../../../index.html?org/apache/poi/util/class-use/BitField.html" target="_top">Frames</a>
        </li>
        <li><a href="BitField.html" target="_top">No&nbsp;Frames</a></li>
    </ul>
    <ul class="navList" id="allclasses_navbar_bottom">
        <li><a href="../../../../../allclasses-noframe.html">All&nbsp;Classes</a></li>
    </ul>
    <div>
        <script type="text/javascript"><!--
  allClassesLink = document.getElementById("allclasses_navbar_bottom");
  if(window==top) {
    allClassesLink.style.display = "block";
  }
  else {
    allClassesLink.style.display = "none";
  }
  //-->

        </script>
    </div>
    <a name="skip.navbar.bottom">
        <!--   -->
    </a></div>
<!-- ======== END OF BOTTOM NAVBAR ======= -->
<p class="legalCopy">
    <small>
        <i>Copyright 2018 The Apache Software Foundation or
            its licensors, as applicable.</i>
    </small>
</p>
</body>
</html>
